Replaces the whole scenario, although the method is PATCH: name, agent_id, description and
meta are taken from the body (omitted fields are cleared) and all existing cases are deleted and
rebuilt from the body. Omitting cases removes every case. PUT on this path behaves identically.
{"docsConfig":{"theme":"aspen","$schema":"https://mintlify.com/docs.json","name":"Placetel AI Help Center","colors":{"primary":"#299bd7","light":"#4db8e8","dark":"#1a7fb5"},"logo":{"light":"https://mintcdn.com/pscgmbh/mSgpjDvF5HdzJSOc/logo/placetel-light.svg?fit=max\u0026auto=format\u0026n=mSgpjDvF5HdzJSOc\u0026q=85\u0026s=79c81e86189218e0d731df97c377710e","dark":"https://mintcdn.com/pscgmbh/mSgpjDvF5HdzJSOc/logo/placetel-dark.svg?fit=max\u0026auto=format\u0026n=mSgpjDvF5HdzJSOc\u0026q=85\u0026s=a27b0eebfcdc32f23c4e142bf08978cb"},"favicon":"https://mintcdn.com/pscgmbh/mSgpjDvF5HdzJSOc/favicon-placetel.ico?fit=max\u0026auto=format\u0026n=mSgpjDvF5HdzJSOc\u0026q=85\u0026s=df2f38868f52b67e5807ad6cab018bac","navbar":{},"footer":{},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"languages":[{"language":"de","default":true,"href":"de"},{"language":"en","href":"en"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"pscgmbh","hasAudioNarration":false,"actualSubdomain":"pscgmbh","customDomains":["aipro.placetel.de"],"gitSource":{"type":"github","owner":"miyon-ag","repo":"docs","deployBranch":"placetel","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae9a1b5ee46fb4ca55d2013","collectionId":"9b4102c3-d35d-47f7-b432-fd7a4d32916c","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae9a1b5ee46fb4ca55d2013"},"feedback":{"thumbs":true},"entitlements":{},"buildId":"6ae9a1b5ee46fb4ca55d2013","clientVersion":"0.0.4074","searchFilterCounts":[{"language":"de","tag":"Dokumentation","count":43},{"language":"en","tag":"Documentation","count":42},{"language":"default","tag":"API Reference","count":38},{"language":"de","tag":"Erweiterte Funktionen","count":17},{"language":"en","tag":"Advanced Features","count":16},{"language":"de","tag":"AI-Assistenten","count":9},{"language":"en","tag":"AI Assistants","count":9},{"language":"default","tag":"Evals","count":9},{"language":"default","tag":"Voice Agent Settings","count":9},{"language":"de","tag":"Agent-Vorlagen","count":8},{"language":"de","tag":"MCP","count":8},{"language":"en","tag":"Agent Templates","count":8},{"language":"en","tag":"MCP","count":8},{"language":"default","tag":"Tools","count":8},{"language":"en","tag":"API Reference","count":6},{"language":"default","tag":"Outbound Calls","count":5},{"language":"default","tag":"Voice Agents","count":5},{"language":"de","tag":"SIP-Verbindungen","count":4},{"language":"de","tag":"KI Inhalte \u0026 Kontext","count":4},{"language":"en","tag":"SIP connections","count":4},{"language":"en","tag":"AI Content \u0026 Context","count":4},{"language":"en","tag":"Get started","count":4},{"language":"de","tag":"Einstieg","count":3},{"language":"de","tag":"Bauen","count":3},{"language":"en","tag":"Getting started","count":3},{"language":"de","tag":"Chat-Kanäle","count":2},{"language":"default","tag":"Conversations","count":2}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"/docs","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":".toc,.toc ul{list-style:none!important}.toc-item{list-style:none!important}"}],"page":{"pagePath":"api-reference/evals/update-an-eval-scenario","slug":"/api-reference/evals/update-an-eval-scenario","pageMetadata":{"title":"Update an eval scenario","description":"Replaces the whole scenario, although the method is PATCH: `name`, `agent_id`, `description` and\n`meta` are taken from the body (omitted fields are cleared) and all existing cases are deleted and\nrebuilt from the body. Omitting `cases` removes every case. `PUT` on this path behaves identically.\n","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml patch /api/v1/evals/{id}","href":"/api-reference/evals/update-an-eval-scenario","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"Replaces the whole scenario, although the method is PATCH: \", _jsx(_components.code, {\n children: \"name\"\n }), \", \", _jsx(_components.code, {\n children: \"agent_id\"\n }), \", \", _jsx(_components.code, {\n children: \"description\"\n }), \" and\\n\", _jsx(_components.code, {\n children: \"meta\"\n }), \" are taken from the body (omitted fields are cleared) and all existing cases are deleted and\\nrebuilt from the body. Omitting \", _jsx(_components.code, {\n children: \"cases\"\n }), \" removes every case. \", _jsx(_components.code, {\n children: \"PUT\"\n }), \" on this path behaves identically.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Update an eval scenario","description":"Replaces the whole scenario, although the method is PATCH: `name`, `agent_id`, `description` and\n`meta` are taken from the body (omitted fields are cleared) and all existing cases are deleted and\nrebuilt from the body. Omitting `cases` removes every case. `PUT` on this path behaves identically.\n","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml patch /api/v1/evals/{id}","href":"/api-reference/evals/update-an-eval-scenario","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Evals"],"summary":"Update an eval scenario","operationId":"updateEvalScenario","x-audience":"customer","x-required-scopes":["evals:write"],"security":["d9037012-bf60-4b0e-aa91-7f03502f1cad"],"requestBody":"bc7d3778-1b78-4d8d-91a8-ba8fed2a1e08","responses":{"200":"e22482e5-0324-4ab5-a27e-a50c795296d7","400":"57194ce0-3a9f-4aa0-9fb5-12a02200b61b","401":"c606d631-98d2-48e5-a4c5-43ff870b730f","403":"ae0ec4e1-6694-4d25-adcf-38a184d7c68a","404":"c995a3d4-2fd7-47b2-8f7f-d85be821dc6e","422":"905d4ba0-b396-4c03-82ae-27a8c9476acf","429":"88933c1a-1db1-4f0a-bec9-9ef7f70ac579","503":"a04732c4-9a8d-47f1-bd2c-8e875a978ae7"},"description":"Replaces the whole scenario, although the method is PATCH: `name`, `agent_id`, `description` and\n`meta` are taken from the body (omitted fields are cleared) and all existing cases are deleted and\nrebuilt from the body. Omitting `cases` removes every case. `PUT` on this path behaves identically.\n","method":"patch","type":"path","servers":["f0d0a537-fa90-4843-b013-b689927df42a"],"path":"/api/v1/evals/{id}","baseUrlOptions":["https://aipro.placetel.de"],"title":"Update an eval scenario","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"5e9d91a4-2a78-4250-91c0-8b328314197d":{"name":"id","in":"path","required":true,"schema":{"type":"integer","isRequired":true,"description":"ID of the eval scenario.","uniqueKey":"","typeLabel":"integer"},"description":"ID of the eval scenario."}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","description":"Request body for create and replace. `id`, `slug`, `active` and `position` are ignored if sent.","required":["name","agent_id"],"properties":{"name":{"type":"string","description":"Scenario name. `slug` is generated from it (lowercase letters, digits and underscores).","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"agent_id":{"type":"integer","description":"The voice agent to evaluate (its `id` from `GET /api/v1/voice_agents`).","isRequired":true,"uniqueKey":"agent_id","typeLabel":"integer"},"number_id":{"type":"integer","description":"Deprecated alias of `agent_id`.","deprecated":true,"uniqueKey":"number_id","typeLabel":"integer"},"description":{"type":"string","description":"Free-text description.","uniqueKey":"description","typeLabel":"string"},"meta":{"type":"object","properties":{"caller_model":{"type":"string","maxLength":100,"description":"Language model that plays the caller.","uniqueKey":"meta.caller_model","typeLabel":"string"},"judge_model":{"type":"string","maxLength":100,"description":"Language model that judges the agent's replies.","uniqueKey":"meta.judge_model","typeLabel":"string"},"mock_responses":{"type":"object","description":"Fixed tool results to use instead of calling the real tool, keyed by tool name.","additionalProperties":true,"uniqueKey":"meta.mock_responses","typeLabel":"object"},"tool_variants":{"type":"array","items":{"type":"object","required":["name"],"properties":{"name":{"type":"string","description":"Variant name.","isRequired":true,"uniqueKey":"meta.tool_variants.items.[INDEX].name","typeLabel":"string"},"prompt_override":{"type":"string","description":"Replaces the agent's instructions for this variant.","uniqueKey":"meta.tool_variants.items.[INDEX].prompt_override","typeLabel":"string"},"system_override":{"type":"string","description":"Replaces the agent's system prompt for this variant.","uniqueKey":"meta.tool_variants.items.[INDEX].system_override","typeLabel":"string"},"model_override":{"type":"string","maxLength":100,"description":"Language model to use for this variant.","uniqueKey":"meta.tool_variants.items.[INDEX].model_override","typeLabel":"string"},"temperature_override":{"type":"string","maxLength":20,"description":"Model temperature for this variant.","uniqueKey":"meta.tool_variants.items.[INDEX].temperature_override","typeLabel":"string"},"tool_overrides":{"type":"object","description":"Tool schema overrides, keyed by tool name.","additionalProperties":true,"uniqueKey":"meta.tool_variants.items.[INDEX].tool_overrides","typeLabel":"object"}},"uniqueKey":"meta.tool_variants.items.[INDEX]","typeLabel":"object"},"description":"Alternative agent configurations to run the scenario with.","uniqueKey":"meta.tool_variants","typeLabel":"object[]"}},"description":"Models and overrides used when running the scenario.","uniqueKey":"meta","typeLabel":"object"},"cases":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"Defaults to `case_\u003cn>`.","uniqueKey":"cases.items.[INDEX].name","typeLabel":"string"},"context":{"type":"string","description":"Background given to the simulated caller.","uniqueKey":"cases.items.[INDEX].context","typeLabel":"string"},"mode":{"type":"string","default":"scripted","description":"`scripted` replays `turns`; `goal_driven` uses `user_persona`, `opening_message`, `max_turns` and the goals. Any other value behaves as `scripted`.","examples":["scripted","goal_driven"],"uniqueKey":"cases.items.[INDEX].mode","typeLabel":"string"},"user_persona":{"type":"string","description":"Who the simulated caller is and how they behave (goal-driven cases).","uniqueKey":"cases.items.[INDEX].user_persona","typeLabel":"string"},"opening_message":{"type":"string","description":"First thing the simulated caller says (goal-driven cases).","uniqueKey":"cases.items.[INDEX].opening_message","typeLabel":"string"},"max_turns":{"type":"integer","description":"Maximum caller turns before the case stops (goal-driven cases).","uniqueKey":"cases.items.[INDEX].max_turns","typeLabel":"integer"},"goal_intent":{"type":"string","description":"Outcome a goal-driven case must reach.","uniqueKey":"cases.items.[INDEX].goal_intent","typeLabel":"string"},"goal_tool_calls":{"type":"array","items":{"type":"object","required":["name"],"properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"cases.items.[INDEX].goal_tool_calls.items.[INDEX].name","typeLabel":"string"}},"uniqueKey":"cases.items.[INDEX].goal_tool_calls.items.[INDEX]","typeLabel":"object"},"description":"Tools the agent must call for the case to pass (goal-driven cases).","uniqueKey":"cases.items.[INDEX].goal_tool_calls","typeLabel":"object[]"},"turns":{"type":"array","items":{"type":"object","required":["user_input"],"properties":{"user_input":{"type":"string","description":"What the caller says in this turn.","isRequired":true,"uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].user_input","typeLabel":"string"},"name":{"type":"string","description":"Defaults to `turn_\u003cn>`.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].name","typeLabel":"string"},"original_assistant_response":{"type":"string","description":"The agent's reply in the imported conversation, for reference.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].original_assistant_response","typeLabel":"string"},"assistant_intent":{"type":"string","description":"What the reply should accomplish, judged by the eval model.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].assistant_intent","typeLabel":"string"},"assistant_contains":{"type":"array","items":{"type":"string","maxLength":1000,"uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].assistant_contains.items.[INDEX]","typeLabel":"string"},"description":"Phrases the agent's reply must all contain.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].assistant_contains","typeLabel":"string[]"},"assistant_contains_any":{"type":"array","items":{"type":"string","maxLength":1000,"uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].assistant_contains_any.items.[INDEX]","typeLabel":"string"},"description":"The reply must contain at least one of these phrases.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].assistant_contains_any","typeLabel":"string[]"},"assistant_not_contains":{"type":"array","items":{"type":"string","maxLength":1000,"uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].assistant_not_contains.items.[INDEX]","typeLabel":"string"},"description":"Phrases the reply must not contain.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].assistant_not_contains","typeLabel":"string[]"},"tool_calls":{"type":"array","items":{"type":"object","required":["name"],"properties":{"name":{"type":"string","description":"Name of the tool the agent must call.","isRequired":true,"uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].tool_calls.items.[INDEX].name","typeLabel":"string"},"arguments_contains":{"type":"object","additionalProperties":true,"description":"Argument values the call must include.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].tool_calls.items.[INDEX].arguments_contains","typeLabel":"object"}},"description":"A tool call the agent is expected to make.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].tool_calls.items.[INDEX]","typeLabel":"object"},"description":"Tool calls the agent must make in this turn.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].tool_calls","typeLabel":"object[]"},"no_more_events":{"type":"boolean","default":false,"description":"If true, the agent must do nothing further after this turn.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].no_more_events","typeLabel":"boolean"},"source":{"type":"object","description":"The conversation this turn was imported from.","properties":{"conversation_id":{"type":"integer","description":"ID of the conversation.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].source.conversation_id","typeLabel":"integer"},"conversation_name":{"type":"string","description":"Name of the conversation at import time.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].source.conversation_name","typeLabel":"string"},"imported_at":{"type":"string","format":"date-time","description":"When it was imported.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].source.imported_at","typeLabel":"string\u003cdate-time>"}},"uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].source","typeLabel":"object"}},"uniqueKey":"cases.items.[INDEX].turns.items.[INDEX]","typeLabel":"object"},"description":"Scripted caller turns and the expectations for each reply.","uniqueKey":"cases.items.[INDEX].turns","typeLabel":"object[]"},"source":{"type":"object","description":"The conversation this case was imported from.","properties":{"conversation_id":{"type":"integer","description":"ID of the conversation.","uniqueKey":"cases.items.[INDEX].source.conversation_id","typeLabel":"integer"},"conversation_name":{"type":"string","description":"Name of the conversation at import time.","uniqueKey":"cases.items.[INDEX].source.conversation_name","typeLabel":"string"},"imported_at":{"type":"string","format":"date-time","description":"When it was imported.","uniqueKey":"cases.items.[INDEX].source.imported_at","typeLabel":"string\u003cdate-time>"}},"uniqueKey":"cases.items.[INDEX].source","typeLabel":"object"}},"uniqueKey":"cases.items.[INDEX]","typeLabel":"object"},"description":"Test cases of the scenario.","uniqueKey":"cases","typeLabel":"object[]"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"name":"\u003cstring>","agent_id":123,"number_id":123,"description":"\u003cstring>","meta":{"caller_model":"\u003cstring>","judge_model":"\u003cstring>","mock_responses":{},"tool_variants":[{"name":"\u003cstring>","prompt_override":"\u003cstring>","system_override":"\u003cstring>","model_override":"\u003cstring>","temperature_override":"\u003cstring>","tool_overrides":{}}]},"cases":[{"name":"\u003cstring>","context":"\u003cstring>","mode":"scripted","user_persona":"\u003cstring>","opening_message":"\u003cstring>","max_turns":123,"goal_intent":"\u003cstring>","goal_tool_calls":[{"name":"\u003cstring>"}],"turns":[{"user_input":"\u003cstring>","name":"\u003cstring>","original_assistant_response":"\u003cstring>","assistant_intent":"\u003cstring>","assistant_contains":["\u003cstring>"],"assistant_contains_any":["\u003cstring>"],"assistant_not_contains":["\u003cstring>"],"tool_calls":[{"name":"\u003cstring>","arguments_contains":{}}],"no_more_events":false,"source":{"conversation_id":123,"conversation_name":"\u003cstring>","imported_at":"2023-11-07T05:31:56Z"}}],"source":{"conversation_id":123,"conversation_name":"\u003cstring>","imported_at":"2023-11-07T05:31:56Z"}}]}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"e22482e5-0324-4ab5-a27e-a50c795296d7":{"description":"The replaced scenario.","content":{"application/json":{"schema":{"type":"object","description":"Full scenario as returned by get, create, replace and duplicate.","required":["id","name","slug","active","cases","recent_runs","runs_pagination","agent_id"],"properties":{"id":{"type":"integer","description":"ID of the scenario.","isRequired":true,"uniqueKey":"id","typeLabel":"integer"},"name":{"type":"string","description":"Scenario name.","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"slug":{"type":"string","description":"URL-safe identifier generated from `name`.","isRequired":true,"uniqueKey":"slug","typeLabel":"string"},"active":{"type":"boolean","description":"Whether the scenario is active in the dashboard.","isRequired":true,"uniqueKey":"active","typeLabel":"boolean"},"cases":{"type":"array","items":{"type":"object","required":["id","name","position","mode","turns"],"properties":{"id":{"type":"integer","description":"ID of the case.","isRequired":true,"uniqueKey":"cases.items.[INDEX].id","typeLabel":"integer"},"name":{"type":"string","description":"Defaults to `case_\u003cn>`.","isRequired":true,"uniqueKey":"cases.items.[INDEX].name","typeLabel":"string"},"position":{"type":"integer","description":"Order of the case within the scenario.","isRequired":true,"uniqueKey":"cases.items.[INDEX].position","typeLabel":"integer"},"mode":{"type":"string","examples":["scripted","goal_driven"],"description":"`scripted` replays `turns`; `goal_driven` uses `user_persona`, `opening_message`, `max_turns` and the goals. Any other value behaves as `scripted`.","isRequired":true,"uniqueKey":"cases.items.[INDEX].mode","typeLabel":"string"},"turns":{"type":"array","items":{"type":"object","required":["id","name","position","user_input","no_more_events"],"properties":{"id":{"type":"integer","description":"ID of the turn.","isRequired":true,"uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].id","typeLabel":"integer"},"name":{"type":"string","description":"Defaults to `turn_\u003cn>`.","isRequired":true,"uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].name","typeLabel":"string"},"position":{"type":"integer","description":"Order of the turn within the case.","isRequired":true,"uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].position","typeLabel":"integer"},"user_input":{"type":"string","description":"What the caller says in this turn.","isRequired":true,"uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].user_input","typeLabel":"string"},"no_more_events":{"type":"boolean","description":"If true, the agent must do nothing further after this turn.","isRequired":true,"uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].no_more_events","typeLabel":"boolean"},"original_assistant_response":{"oneOf":[{"type":"string","description":"The agent's reply in the imported conversation, for reference.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].original_assistant_response.oneOf.0","typeLabel":"string"},{"type":"null","description":"The agent's reply in the imported conversation, for reference.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].original_assistant_response.oneOf.1","typeLabel":"null"}],"uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].original_assistant_response","typeLabel":"string | null"},"assistant_intent":{"oneOf":[{"type":"string","description":"What the reply should accomplish, judged by the eval model.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].assistant_intent.oneOf.0","typeLabel":"string"},{"type":"null","description":"What the reply should accomplish, judged by the eval model.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].assistant_intent.oneOf.1","typeLabel":"null"}],"uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].assistant_intent","typeLabel":"string | null"},"assistant_contains":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].assistant_contains.oneOf.0.items.[INDEX]","typeLabel":"string"},"description":"Phrases the agent's reply must all contain.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].assistant_contains.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"description":"Phrases the agent's reply must all contain.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].assistant_contains.oneOf.1","typeLabel":"null"}],"uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].assistant_contains","typeLabel":"string[] | null"},"assistant_contains_any":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].assistant_contains_any.oneOf.0.items.[INDEX]","typeLabel":"string"},"description":"The reply must contain at least one of these phrases.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].assistant_contains_any.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"description":"The reply must contain at least one of these phrases.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].assistant_contains_any.oneOf.1","typeLabel":"null"}],"uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].assistant_contains_any","typeLabel":"string[] | null"},"assistant_not_contains":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].assistant_not_contains.oneOf.0.items.[INDEX]","typeLabel":"string"},"description":"Phrases the reply must not contain.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].assistant_not_contains.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"description":"Phrases the reply must not contain.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].assistant_not_contains.oneOf.1","typeLabel":"null"}],"uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].assistant_not_contains","typeLabel":"string[] | null"},"tool_calls":{"oneOf":[{"type":"array","items":{"type":"object","required":["name"],"properties":{"name":{"type":"string","description":"Name of the tool the agent must call.","isRequired":true,"uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].tool_calls.oneOf.0.items.[INDEX].name","typeLabel":"string"},"arguments_contains":{"type":"object","additionalProperties":true,"description":"Argument values the call must include.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].tool_calls.oneOf.0.items.[INDEX].arguments_contains","typeLabel":"object"}},"description":"A tool call the agent is expected to make.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].tool_calls.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":"Tool calls the agent must make in this turn.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].tool_calls.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","required":["name"],"properties":{"name":{"type":"string","description":"Name of the tool the agent must call."},"arguments_contains":{"type":"object","additionalProperties":true,"description":"Argument values the call must include."}},"description":"A tool call the agent is expected to make."},"description":"Tool calls the agent must make in this turn.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].tool_calls.oneOf.1","typeLabel":"null"}],"uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].tool_calls","typeLabel":"object[] | null"},"source":{"oneOf":[{"type":"object","title":"Eval Source","description":"The conversation this turn was imported from.","properties":{"conversation_id":{"type":"integer","description":"ID of the conversation.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].source.oneOf.0.conversation_id","typeLabel":"integer"},"conversation_name":{"type":"string","description":"Name of the conversation at import time.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].source.oneOf.0.conversation_name","typeLabel":"string"},"imported_at":{"type":"string","format":"date-time","description":"When it was imported.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].source.oneOf.0.imported_at","typeLabel":"string\u003cdate-time>"}},"uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].source.oneOf.0","typeLabel":"Eval Source · object"},{"type":"null","description":"The conversation this turn was imported from.","uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].source.oneOf.1","typeLabel":"null"}],"uniqueKey":"cases.items.[INDEX].turns.items.[INDEX].source","typeLabel":"Eval Source · object | null"}},"uniqueKey":"cases.items.[INDEX].turns.items.[INDEX]","typeLabel":"object"},"description":"Scripted caller turns and the expectations for each reply.","isRequired":true,"uniqueKey":"cases.items.[INDEX].turns","typeLabel":"object[]"},"context":{"oneOf":[{"type":"string","description":"Background given to the simulated caller.","uniqueKey":"cases.items.[INDEX].context.oneOf.0","typeLabel":"string"},{"type":"null","description":"Background given to the simulated caller.","uniqueKey":"cases.items.[INDEX].context.oneOf.1","typeLabel":"null"}],"uniqueKey":"cases.items.[INDEX].context","typeLabel":"string | null"},"source":{"oneOf":[{"type":"object","title":"Eval Source","description":"The conversation this case was imported from.","properties":{"conversation_id":{"type":"integer","description":"ID of the conversation.","uniqueKey":"cases.items.[INDEX].source.oneOf.0.conversation_id","typeLabel":"integer"},"conversation_name":{"type":"string","description":"Name of the conversation at import time.","uniqueKey":"cases.items.[INDEX].source.oneOf.0.conversation_name","typeLabel":"string"},"imported_at":{"type":"string","format":"date-time","description":"When it was imported.","uniqueKey":"cases.items.[INDEX].source.oneOf.0.imported_at","typeLabel":"string\u003cdate-time>"}},"uniqueKey":"cases.items.[INDEX].source.oneOf.0","typeLabel":"Eval Source · object"},{"type":"null","description":"The conversation this case was imported from.","uniqueKey":"cases.items.[INDEX].source.oneOf.1","typeLabel":"null"}],"uniqueKey":"cases.items.[INDEX].source","typeLabel":"Eval Source · object | null"},"user_persona":{"oneOf":[{"type":"string","description":"Who the simulated caller is and how they behave (goal-driven cases).","uniqueKey":"cases.items.[INDEX].user_persona.oneOf.0","typeLabel":"string"},{"type":"null","description":"Who the simulated caller is and how they behave (goal-driven cases).","uniqueKey":"cases.items.[INDEX].user_persona.oneOf.1","typeLabel":"null"}],"uniqueKey":"cases.items.[INDEX].user_persona","typeLabel":"string | null"},"opening_message":{"oneOf":[{"type":"string","description":"First thing the simulated caller says (goal-driven cases).","uniqueKey":"cases.items.[INDEX].opening_message.oneOf.0","typeLabel":"string"},{"type":"null","description":"First thing the simulated caller says (goal-driven cases).","uniqueKey":"cases.items.[INDEX].opening_message.oneOf.1","typeLabel":"null"}],"uniqueKey":"cases.items.[INDEX].opening_message","typeLabel":"string | null"},"max_turns":{"oneOf":[{"type":"integer","description":"Maximum caller turns before the case stops (goal-driven cases).","uniqueKey":"cases.items.[INDEX].max_turns.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Maximum caller turns before the case stops (goal-driven cases).","uniqueKey":"cases.items.[INDEX].max_turns.oneOf.1","typeLabel":"null"}],"uniqueKey":"cases.items.[INDEX].max_turns","typeLabel":"integer | null"},"goal_intent":{"oneOf":[{"type":"string","description":"Outcome a goal-driven case must reach.","uniqueKey":"cases.items.[INDEX].goal_intent.oneOf.0","typeLabel":"string"},{"type":"null","description":"Outcome a goal-driven case must reach.","uniqueKey":"cases.items.[INDEX].goal_intent.oneOf.1","typeLabel":"null"}],"uniqueKey":"cases.items.[INDEX].goal_intent","typeLabel":"string | null"},"goal_tool_calls":{"oneOf":[{"type":"array","items":{"type":"object","required":["name"],"properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"cases.items.[INDEX].goal_tool_calls.oneOf.0.items.[INDEX].name","typeLabel":"string"}},"uniqueKey":"cases.items.[INDEX].goal_tool_calls.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":"Tools the agent must call for the case to pass (goal-driven cases).","uniqueKey":"cases.items.[INDEX].goal_tool_calls.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","required":["name"],"properties":{"name":{"type":"string"}}},"description":"Tools the agent must call for the case to pass (goal-driven cases).","uniqueKey":"cases.items.[INDEX].goal_tool_calls.oneOf.1","typeLabel":"null"}],"uniqueKey":"cases.items.[INDEX].goal_tool_calls","typeLabel":"object[] | null"}},"uniqueKey":"cases.items.[INDEX]","typeLabel":"object"},"description":"Test cases in order.","isRequired":true,"uniqueKey":"cases","typeLabel":"object[]"},"recent_runs":{"type":"array","items":{"type":"object","description":"Summary of one run in `recent_runs`.","required":["id","status"],"properties":{"id":{"type":"integer","description":"ID of the run.","isRequired":true,"uniqueKey":"recent_runs.items.[INDEX].id","typeLabel":"integer"},"status":{"type":"string","enum":["pending","running","passed","failed","error","cancelled"],"description":"Current state of the run.","isRequired":true,"uniqueKey":"recent_runs.items.[INDEX].status","typeLabel":"enum\u003cstring>"},"sequence_number":{"oneOf":[{"type":"integer","description":"Position of the run within its scenario, starting at 1.","uniqueKey":"recent_runs.items.[INDEX].sequence_number.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Position of the run within its scenario, starting at 1.","uniqueKey":"recent_runs.items.[INDEX].sequence_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"recent_runs.items.[INDEX].sequence_number","typeLabel":"integer | null"},"total_cases":{"oneOf":[{"type":"integer","description":"Cases in the run, once started.","uniqueKey":"recent_runs.items.[INDEX].total_cases.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Cases in the run, once started.","uniqueKey":"recent_runs.items.[INDEX].total_cases.oneOf.1","typeLabel":"null"}],"uniqueKey":"recent_runs.items.[INDEX].total_cases","typeLabel":"integer | null"},"passed_cases":{"oneOf":[{"type":"integer","description":"Cases that passed, once finished.","uniqueKey":"recent_runs.items.[INDEX].passed_cases.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Cases that passed, once finished.","uniqueKey":"recent_runs.items.[INDEX].passed_cases.oneOf.1","typeLabel":"null"}],"uniqueKey":"recent_runs.items.[INDEX].passed_cases","typeLabel":"integer | null"},"failed_cases":{"oneOf":[{"type":"integer","description":"Cases that failed, once finished.","uniqueKey":"recent_runs.items.[INDEX].failed_cases.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Cases that failed, once finished.","uniqueKey":"recent_runs.items.[INDEX].failed_cases.oneOf.1","typeLabel":"null"}],"uniqueKey":"recent_runs.items.[INDEX].failed_cases","typeLabel":"integer | null"},"started_at":{"oneOf":[{"type":"string","format":"date-time","description":"When the run started.","uniqueKey":"recent_runs.items.[INDEX].started_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"When the run started.","uniqueKey":"recent_runs.items.[INDEX].started_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"recent_runs.items.[INDEX].started_at","typeLabel":"string\u003cdate-time> | null"},"completed_at":{"oneOf":[{"type":"string","format":"date-time","description":"When the run finished.","uniqueKey":"recent_runs.items.[INDEX].completed_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"When the run finished.","uniqueKey":"recent_runs.items.[INDEX].completed_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"recent_runs.items.[INDEX].completed_at","typeLabel":"string\u003cdate-time> | null"},"duration":{"oneOf":[{"type":"integer","description":"Seconds between `started_at` and `completed_at`.","uniqueKey":"recent_runs.items.[INDEX].duration.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Seconds between `started_at` and `completed_at`.","uniqueKey":"recent_runs.items.[INDEX].duration.oneOf.1","typeLabel":"null"}],"uniqueKey":"recent_runs.items.[INDEX].duration","typeLabel":"integer | null"},"results":{"description":"Detailed per-case results. Available once the run finishes.","uniqueKey":"recent_runs.items.[INDEX].results","typeLabel":"any"},"error_message":{"oneOf":[{"type":"string","description":"Why the run ended in `error`.","uniqueKey":"recent_runs.items.[INDEX].error_message.oneOf.0","typeLabel":"string"},{"type":"null","description":"Why the run ended in `error`.","uniqueKey":"recent_runs.items.[INDEX].error_message.oneOf.1","typeLabel":"null"}],"uniqueKey":"recent_runs.items.[INDEX].error_message","typeLabel":"string | null"}},"uniqueKey":"recent_runs.items.[INDEX]","typeLabel":"object"},"description":"A page of recent runs, newest first.","isRequired":true,"uniqueKey":"recent_runs","typeLabel":"object[]"},"runs_pagination":{"type":"object","required":["current_page","total_pages","total_entries"],"properties":{"current_page":{"type":"integer","description":"Page returned.","isRequired":true,"uniqueKey":"runs_pagination.current_page","typeLabel":"integer"},"total_pages":{"type":"integer","description":"Number of pages.","isRequired":true,"uniqueKey":"runs_pagination.total_pages","typeLabel":"integer"},"total_entries":{"type":"integer","description":"Total runs of the scenario.","isRequired":true,"uniqueKey":"runs_pagination.total_entries","typeLabel":"integer"}},"description":"Paging information for `recent_runs`.","isRequired":true,"uniqueKey":"runs_pagination","typeLabel":"object"},"agent_id":{"type":"integer","description":"The voice agent the scenario tests.","isRequired":true,"uniqueKey":"agent_id","typeLabel":"integer"},"description":{"oneOf":[{"type":"string","description":"Free-text description.","uniqueKey":"description.oneOf.0","typeLabel":"string"},{"type":"null","description":"Free-text description.","uniqueKey":"description.oneOf.1","typeLabel":"null"}],"uniqueKey":"description","typeLabel":"string | null"},"number_id":{"type":"integer","description":"Deprecated alias of `agent_id`.","deprecated":true,"uniqueKey":"number_id","typeLabel":"integer"},"number_name":{"oneOf":[{"type":"string","description":"Deprecated alias of `agent_name`.","deprecated":true,"uniqueKey":"number_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Deprecated alias of `agent_name`.","deprecated":true,"uniqueKey":"number_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"number_name","typeLabel":"string | null"},"meta":{"oneOf":[{"type":"object","title":"Eval Scenario Meta","description":"Models and overrides used when running the scenario.","properties":{"caller_model":{"type":"string","maxLength":100,"description":"Language model that plays the caller.","uniqueKey":"meta.oneOf.0.caller_model","typeLabel":"string"},"judge_model":{"type":"string","maxLength":100,"description":"Language model that judges the agent's replies.","uniqueKey":"meta.oneOf.0.judge_model","typeLabel":"string"},"mock_responses":{"type":"object","description":"Fixed tool results to use instead of calling the real tool, keyed by tool name.","additionalProperties":true,"uniqueKey":"meta.oneOf.0.mock_responses","typeLabel":"object"},"tool_variants":{"type":"array","items":{"type":"object","required":["name"],"properties":{"name":{"type":"string","description":"Variant name.","isRequired":true,"uniqueKey":"meta.oneOf.0.tool_variants.items.[INDEX].name","typeLabel":"string"},"prompt_override":{"type":"string","description":"Replaces the agent's instructions for this variant.","uniqueKey":"meta.oneOf.0.tool_variants.items.[INDEX].prompt_override","typeLabel":"string"},"system_override":{"type":"string","description":"Replaces the agent's system prompt for this variant.","uniqueKey":"meta.oneOf.0.tool_variants.items.[INDEX].system_override","typeLabel":"string"},"model_override":{"type":"string","maxLength":100,"description":"Language model to use for this variant.","uniqueKey":"meta.oneOf.0.tool_variants.items.[INDEX].model_override","typeLabel":"string"},"temperature_override":{"type":"string","maxLength":20,"description":"Model temperature for this variant.","uniqueKey":"meta.oneOf.0.tool_variants.items.[INDEX].temperature_override","typeLabel":"string"},"tool_overrides":{"type":"object","description":"Tool schema overrides, keyed by tool name.","additionalProperties":true,"uniqueKey":"meta.oneOf.0.tool_variants.items.[INDEX].tool_overrides","typeLabel":"object"}},"uniqueKey":"meta.oneOf.0.tool_variants.items.[INDEX]","typeLabel":"object"},"description":"Alternative agent configurations to run the scenario with.","uniqueKey":"meta.oneOf.0.tool_variants","typeLabel":"object[]"}},"uniqueKey":"meta.oneOf.0","typeLabel":"Eval Scenario Meta · object"},{"type":"null","description":"Models and overrides used when running the scenario.","uniqueKey":"meta.oneOf.1","typeLabel":"null"}],"uniqueKey":"meta","typeLabel":"Eval Scenario Meta · object | null"},"latest_run":{"oneOf":[{"type":"object","title":"Eval Run Summary","description":"Summary of the most recent run.","required":["id","status"],"properties":{"id":{"type":"integer","description":"ID of the run.","isRequired":true,"uniqueKey":"latest_run.oneOf.0.id","typeLabel":"integer"},"status":{"type":"string","enum":["pending","running","passed","failed","error","cancelled"],"description":"Current state of the run.","isRequired":true,"uniqueKey":"latest_run.oneOf.0.status","typeLabel":"enum\u003cstring>"},"total_cases":{"oneOf":[{"type":"integer","description":"Cases in the run, once started.","uniqueKey":"latest_run.oneOf.0.total_cases.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Cases in the run, once started.","uniqueKey":"latest_run.oneOf.0.total_cases.oneOf.1","typeLabel":"null"}],"uniqueKey":"latest_run.oneOf.0.total_cases","typeLabel":"integer | null"},"passed_cases":{"oneOf":[{"type":"integer","description":"Cases that passed, once finished.","uniqueKey":"latest_run.oneOf.0.passed_cases.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Cases that passed, once finished.","uniqueKey":"latest_run.oneOf.0.passed_cases.oneOf.1","typeLabel":"null"}],"uniqueKey":"latest_run.oneOf.0.passed_cases","typeLabel":"integer | null"},"failed_cases":{"oneOf":[{"type":"integer","description":"Cases that failed, once finished.","uniqueKey":"latest_run.oneOf.0.failed_cases.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Cases that failed, once finished.","uniqueKey":"latest_run.oneOf.0.failed_cases.oneOf.1","typeLabel":"null"}],"uniqueKey":"latest_run.oneOf.0.failed_cases","typeLabel":"integer | null"},"completed_at":{"oneOf":[{"type":"string","format":"date-time","description":"When the run finished.","uniqueKey":"latest_run.oneOf.0.completed_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"When the run finished.","uniqueKey":"latest_run.oneOf.0.completed_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"latest_run.oneOf.0.completed_at","typeLabel":"string\u003cdate-time> | null"}},"uniqueKey":"latest_run.oneOf.0","typeLabel":"Eval Run Summary · object"},{"type":"null","description":"Summary of the most recent run.","uniqueKey":"latest_run.oneOf.1","typeLabel":"null"}],"uniqueKey":"latest_run","typeLabel":"Eval Run Summary · object | null"},"agent_name":{"oneOf":[{"type":"string","description":"Name of that voice agent.","uniqueKey":"agent_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Name of that voice agent.","uniqueKey":"agent_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"agent_name","typeLabel":"string | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":123,"name":"\u003cstring>","slug":"\u003cstring>","active":true,"cases":[{"id":123,"name":"\u003cstring>","position":123,"mode":"scripted","turns":[{"id":123,"name":"\u003cstring>","position":123,"user_input":"\u003cstring>","no_more_events":true,"original_assistant_response":"\u003cstring>","assistant_intent":"\u003cstring>","assistant_contains":["\u003cstring>"],"assistant_contains_any":["\u003cstring>"],"assistant_not_contains":["\u003cstring>"],"tool_calls":[{"name":"\u003cstring>","arguments_contains":{}}],"source":{"conversation_id":123,"conversation_name":"\u003cstring>","imported_at":"2023-11-07T05:31:56Z"}}],"context":"\u003cstring>","source":{"conversation_id":123,"conversation_name":"\u003cstring>","imported_at":"2023-11-07T05:31:56Z"},"user_persona":"\u003cstring>","opening_message":"\u003cstring>","max_turns":123,"goal_intent":"\u003cstring>","goal_tool_calls":[{"name":"\u003cstring>"}]}],"recent_runs":[{"id":123,"status":"pending","sequence_number":123,"total_cases":123,"passed_cases":123,"failed_cases":123,"started_at":"2023-11-07T05:31:56Z","completed_at":"2023-11-07T05:31:56Z","duration":123,"results":"\u003cunknown>","error_message":"\u003cstring>"}],"runs_pagination":{"current_page":123,"total_pages":123,"total_entries":123},"agent_id":123,"description":"\u003cstring>","number_id":123,"number_name":"\u003cstring>","meta":{"caller_model":"\u003cstring>","judge_model":"\u003cstring>","mock_responses":{},"tool_variants":[{"name":"\u003cstring>","prompt_override":"\u003cstring>","system_override":"\u003cstring>","model_override":"\u003cstring>","temperature_override":"\u003cstring>","tool_overrides":{}}]},"latest_run":{"id":123,"status":"pending","total_cases":123,"passed_cases":123,"failed_cases":123,"completed_at":"2023-11-07T05:31:56Z"},"agent_name":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"57194ce0-3a9f-4aa0-9fb5-12a02200b61b":{"description":"The body is not a JSON object, or `agent_id` does not belong to your account.","content":{"application/json":{"schema":{"type":"object","required":["error"],"properties":{"error":{"type":"string","description":"Why the request failed, in English.","isRequired":true,"uniqueKey":"error","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"invalidBody":{"title":"invalidBody","value":{"error":"Invalid request"}},"invalidAgent":{"title":"invalidAgent","value":{"error":"Invalid voice agent"}}},"exampleType":"examples"}},"exampleType":"examples"},"c606d631-98d2-48e5-a4c5-43ff870b730f":{"description":"Missing, expired or invalid bearer token.","content":{"application/json":{"schema":{"type":"object","description":"Returned when the API token is missing, invalid, expired or lacks the required scope.","properties":{"error":{"type":"string","description":"Short error category.","examples":["Authentication failed","Forbidden"],"isRequired":true,"uniqueKey":"error","typeLabel":"string"},"message":{"type":"string","description":"Human-readable explanation. Absent on some 403 responses.","examples":["Missing required scope: voice_agents:write"],"uniqueKey":"message","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"example":{"error":"Authentication failed","message":"Missing bearer token"},"examples":{"Example":{"title":"Example","value":{"error":"Authentication failed","message":"Missing bearer token"}}},"exampleType":"examples"}},"exampleType":"examples"},"ae0ec4e1-6694-4d25-adcf-38a184d7c68a":{"description":"The token does not carry the scope this operation requires (see `x-required-scopes`).","content":{"application/json":{"schema":{"type":"object","description":"Returned when the API token is missing, invalid, expired or lacks the required scope.","properties":{"error":{"type":"string","description":"Short error category.","examples":["Authentication failed","Forbidden"],"isRequired":true,"uniqueKey":"error","typeLabel":"string"},"message":{"type":"string","description":"Human-readable explanation. Absent on some 403 responses.","examples":["Missing required scope: voice_agents:write"],"uniqueKey":"message","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"example":{"error":"Forbidden","message":"Missing required scope: voice_agents:write"},"examples":{"Example":{"title":"Example","value":{"error":"Forbidden","message":"Missing required scope: voice_agents:write"}}},"exampleType":"examples"}},"exampleType":"examples"},"c995a3d4-2fd7-47b2-8f7f-d85be821dc6e":{"description":"Eval scenario or run not found in your account.","content":{"application/json":{"schema":{"type":"object","required":["error"],"properties":{"error":{"type":"string","description":"Why the request failed, in English.","isRequired":true,"uniqueKey":"error","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"error":"Record not found error"},"examples":{"Example":{"title":"Example","value":{"error":"Record not found error"}}},"exampleType":"examples"}},"exampleType":"examples"},"905d4ba0-b396-4c03-82ae-27a8c9476acf":{"description":"Validation failed.","content":{"application/json":{"schema":{"type":"object","required":["errors"],"properties":{"errors":{"type":"array","items":{"type":"string","uniqueKey":"errors.items.[INDEX]","typeLabel":"string"},"description":"Human-readable problems.","isRequired":true,"uniqueKey":"errors","typeLabel":"string[]"},"field_errors":{"type":"object","description":"Problems per field. Keys are `\u003cattribute>`, `cases.\u003cindex>.\u003cattribute>` or `turns.\u003cindex>.\u003cattribute>`.","additionalProperties":{"type":"array","items":{"type":"string","uniqueKey":"field_errors.additionalProperties.items.[INDEX]","typeLabel":"string"},"uniqueKey":"field_errors.additionalProperties","typeLabel":"string[]"},"uniqueKey":"field_errors","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"noCases":{"title":"noCases","value":{"errors":["cases are required"]}},"fieldErrors":{"title":"fieldErrors","value":{"errors":["Name can't be blank"],"field_errors":{"name":["can't be blank"]}}}},"exampleType":"examples"}},"exampleType":"examples"},"88933c1a-1db1-4f0a-bec9-9ef7f70ac579":{"description":"Too many requests. Wait the number of seconds given in `Retry-After` before retrying.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"type":"object","description":"Error format with a stable machine-readable `error` code, a human-readable `message` and request-specific `details`.","properties":{"error":{"type":"string","description":"Stable machine-readable error code, for example `mf-core:rate-limit-exceeded`.","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"message":{"type":"string","description":"Human-readable explanation.","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"details":{"type":"object","additionalProperties":true,"description":"Request-specific data, for example the offending parameter or the quota policy.","isRequired":true,"uniqueKey":"details","typeLabel":"object"}},"required":["error","message","details"],"uniqueKey":"","typeLabel":"object"},"example":{"error":"mf-core:rate-limit-exceeded","message":"Rate limit exceeded","details":{"policy":"api_write","retry_after":3}},"examples":{"Example":{"title":"Example","value":{"error":"mf-core:rate-limit-exceeded","message":"Rate limit exceeded","details":{"policy":"api_write","retry_after":3}}}},"exampleType":"examples"}},"exampleType":"examples"},"a04732c4-9a8d-47f1-bd2c-8e875a978ae7":{"description":"The request was not completed. Either it exceeded the 30-second request time limit that applies to every API call (narrow the request and retry), or rate limiting is temporarily unavailable. Retry shortly.","content":{"application/json":{"schema":{"type":"object","description":"Error format with a stable machine-readable `error` code, a human-readable `message` and request-specific `details`.","properties":{"error":{"type":"string","description":"Stable machine-readable error code, for example `mf-core:rate-limit-exceeded`.","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"message":{"type":"string","description":"Human-readable explanation.","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"details":{"type":"object","additionalProperties":true,"description":"Request-specific data, for example the offending parameter or the quota policy.","isRequired":true,"uniqueKey":"details","typeLabel":"object"}},"required":["error","message","details"],"uniqueKey":"","typeLabel":"object"},"examples":{"timeout":{"title":"timeout","value":{"error":"mf-core:api-request-timeout","message":"The API request exceeded the 30-second time limit","details":{}}},"limiter":{"title":"limiter","value":{"error":"mf-core:rate-limiter-unavailable","message":"API rate limiting is temporarily unavailable","details":{"policy":"api_write"}}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"d9037012-bf60-4b0e-aa91-7f03502f1cad":{"scopedJwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Scoped API token. Required scopes are listed on each operation in x-required-scopes.","scopes":[],"schemeName":"scopedJwt"}}},"servers":{"f0d0a537-fa90-4843-b013-b689927df42a":{"url":"https://aipro.placetel.de"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Scoped API token. Required scopes are listed on each operation in x-required-scopes.","scopes":[],"schemeName":"scopedJwt"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Scoped API token. Required scopes are listed on each operation in x-required-scopes.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"scopedJwt","name":"Authorization"}],"title":"scopedJwt"}]},"originalFileLocation":"api-reference/openapi.yaml"},"subdomain":"pscgmbh","siteName":"Placetel AI Help Center","title":"Update an eval scenario - Placetel AI Help Center","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"de":{"href":"/api-reference/evals/update-an-eval-scenario","matchLevel":0},"en":{"href":"/api-reference/evals/update-an-eval-scenario","matchLevel":0}}},"lastModified":"2026-11-02T18:30:49.098Z","originalFileLocation":"api-reference/evals/update-an-eval-scenario.mdx","locale":"de"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Replaces the whole scenario, although the method is PATCH: name, agent_id, description and meta are taken from the body (omitted fields are cleared) and all existing cases are deleted and rebuilt from the body. Omitting cases removes every case. PUT on this path behaves identically.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Placetel AI Help Center\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/pscgmbh/D_fV9X0axjo2O25Z/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/pscgmbh/D_fV9X0axjo2O25Z/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/pscgmbh/D_fV9X0axjo2O25Z/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/pscgmbh/D_fV9X0axjo2O25Z/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/pscgmbh/D_fV9X0axjo2O25Z/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/pscgmbh/D_fV9X0axjo2O25Z/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/pscgmbh/D_fV9X0axjo2O25Z/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/pscgmbh/D_fV9X0axjo2O25Z/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/pscgmbh/D_fV9X0axjo2O25Z/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update an eval scenario - Placetel AI Help Center\">\u003cmeta data-mint-head property=\"og:description\" content=\"Replaces the whole scenario, although the method is PATCH: name, agent_id, description and meta are taken from the body (omitted fields are cleared) and all existing cases are deleted and rebuilt from the body. Omitting cases removes every case. PUT on this path behaves identically.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Placetel AI Help Center\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://aipro.placetel.de/docs/api-reference/evals/update-an-eval-scenario\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://pscgmbh.mintlify.site/docs/_mintlify/api/og/v2?division=Evals\u0026amp;title=Update+an+eval+scenario\u0026amp;description=Replaces+the+whole+scenario%2C+although+the+method+is+PATCH%3A+%60name%60%2C+%60agent_id%60%2C+%60description%60+and%0A%60meta%60+are+taken+from+the+body+%28omitted+fields+are+cleared%29+and\u0026amp;theme=02aa24ada09c6ef5d611bdc9\u0026amp;signature=353e51952d77a6322081d2d6192d97fc8ccfbb8c4601c5bf199896df46d32620\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update an eval scenario - Placetel AI Help Center\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Replaces the whole scenario, although the method is PATCH: name, agent_id, description and meta are taken from the body (omitted fields are cleared) and all existing cases are deleted and rebuilt from the body. Omitting cases removes every case. PUT on this path behaves identically.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://pscgmbh.mintlify.site/docs/_mintlify/api/og/v2?division=Evals\u0026amp;title=Update+an+eval+scenario\u0026amp;description=Replaces+the+whole+scenario%2C+although+the+method+is+PATCH%3A+%60name%60%2C+%60agent_id%60%2C+%60description%60+and%0A%60meta%60+are+taken+from+the+body+%28omitted+fields+are+cleared%29+and\u0026amp;theme=02aa24ada09c6ef5d611bdc9\u0026amp;signature=353e51952d77a6322081d2d6192d97fc8ccfbb8c4601c5bf199896df46d32620\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/pscgmbh/D_fV9X0axjo2O25Z/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Placetel AI Help Center\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#299bd7\">\u003clink data-mint-head rel=\"canonical\" href=\"https://aipro.placetel.de/docs/api-reference/evals/update-an-eval-scenario\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/api-reference/evals/update-an-eval-scenario.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://aipro.placetel.de/#organization\",\"name\":\"Placetel AI Help Center\",\"url\":\"https://aipro.placetel.de\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/pscgmbh/mSgpjDvF5HdzJSOc/logo/placetel-light.svg?fit=max\u0026auto=format\u0026n=mSgpjDvF5HdzJSOc\u0026q=85\u0026s=79c81e86189218e0d731df97c377710e\"}},{\"@type\":\"WebSite\",\"@id\":\"https://aipro.placetel.de/docs#website\",\"name\":\"Placetel AI Help Center\",\"url\":\"https://aipro.placetel.de/docs\",\"publisher\":{\"@id\":\"https://aipro.placetel.de/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://aipro.placetel.de/docs/api-reference/evals/update-an-eval-scenario#webpage\",\"url\":\"https://aipro.placetel.de/docs/api-reference/evals/update-an-eval-scenario\",\"name\":\"Update an eval scenario\",\"description\":\"Replaces the whole scenario, although the method is PATCH: name, agent_id, description and meta are taken from the body (omitted fields are cleared) and all existing cases are deleted and rebuilt from the body. Omitting cases removes every case. PUT on this path behaves identically.\",\"dateModified\":\"2026-11-02T18:30:49.098Z\",\"isPartOf\":{\"@id\":\"https://aipro.placetel.de/docs#website\"},\"breadcrumb\":{\"@id\":\"https://aipro.placetel.de/docs/api-reference/evals/update-an-eval-scenario#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://aipro.placetel.de/docs/api-reference/evals/update-an-eval-scenario#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Evals\",\"item\":\"https://aipro.placetel.de/docs/api-reference/evals/list-eval-scenarios\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Update an eval scenario\",\"item\":\"https://aipro.placetel.de/docs/api-reference/evals/update-an-eval-scenario\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://aipro.placetel.de/docs/api-reference/evals/update-an-eval-scenario#apireference\",\"headline\":\"Update an eval scenario\",\"name\":\"Update an eval scenario\",\"description\":\"Replaces the whole scenario, although the method is PATCH: name, agent_id, description and meta are taken from the body (omitted fields are cleared) and all existing cases are deleted and rebuilt from the body. Omitting cases removes every case. PUT on this path behaves identically.\",\"url\":\"https://aipro.placetel.de/docs/api-reference/evals/update-an-eval-scenario\",\"mainEntityOfPage\":{\"@id\":\"https://aipro.placetel.de/docs/api-reference/evals/update-an-eval-scenario#webpage\"},\"dateModified\":\"2026-11-02T18:30:49.098Z\",\"publisher\":{\"@id\":\"https://aipro.placetel.de/#organization\"},\"isPartOf\":{\"@id\":\"https://aipro.placetel.de/docs#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Placetel AI Help Center\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Placetel AI Help Center","nav":{"global":null,"languages":[{"language":"de","default":true,"tabs":[{"tab":"Dokumentation","pages":[{"title":"Dokumentation","href":"/de"}]},{"tab":"API Reference","icon":"code","groups":[{"group":"Get started","pages":[{"title":"Introduction","href":"/en/api-reference/introduction"},{"title":"Authorization","href":"/en/api-reference/authorization"},{"title":"Rate limits","href":"/en/api-reference/rate-limits"},{"title":"Errors","href":"/en/api-reference/errors"}]},{"group":"Voice Agents","pages":[{"title":"List voice agents","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/voice_agents","href":"/api-reference/voice-agents/list-voice-agents"},{"title":"Create a voice agent","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /api/v1/voice_agents","href":"/api-reference/voice-agents/create-a-voice-agent"},{"title":"Get a voice agent","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/voice_agents/{id}","href":"/api-reference/voice-agents/get-a-voice-agent"},{"title":"Update a voice agent","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml patch /api/v1/voice_agents/{id}","href":"/api-reference/voice-agents/update-a-voice-agent"},{"title":"Delete a voice agent","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml delete /api/v1/voice_agents/{id}","href":"/api-reference/voice-agents/delete-a-voice-agent"}]},{"group":"Voice Agent Settings","pages":[{"title":"Set up a voice agent","href":"/en/api-reference/voice-agent-settings"},{"title":"Get voice settings","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/voice_agents/{id}/concerns/voice_config","href":"/api-reference/voice-agent-settings/get-voice-settings"},{"title":"Update voice settings","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml patch /api/v1/voice_agents/{id}/concerns/voice_config","href":"/api-reference/voice-agent-settings/update-voice-settings"},{"title":"Get voice settings schema","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/voice_agents/{id}/concerns/voice_config/schema","href":"/api-reference/voice-agent-settings/get-voice-settings-schema"},{"title":"Get prompt settings","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/voice_agents/{id}/concerns/prompts","href":"/api-reference/voice-agent-settings/get-prompt-settings"},{"title":"Update prompt settings","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml patch /api/v1/voice_agents/{id}/concerns/prompts","href":"/api-reference/voice-agent-settings/update-prompt-settings"},{"title":"Get prompt settings schema","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/voice_agents/{id}/concerns/prompts/schema","href":"/api-reference/voice-agent-settings/get-prompt-settings-schema"},{"title":"Get knowledge base settings","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/voice_agents/{id}/concerns/knowledge_base","href":"/api-reference/voice-agent-settings/get-knowledge-base-settings"},{"title":"Update knowledge base settings","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml patch /api/v1/voice_agents/{id}/concerns/knowledge_base","href":"/api-reference/voice-agent-settings/update-knowledge-base-settings"},{"title":"Get knowledge base schema","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/voice_agents/{id}/concerns/knowledge_base/schema","href":"/api-reference/voice-agent-settings/get-knowledge-base-schema"}]},{"group":"Tools","pages":[{"title":"List tools","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v2/tools","href":"/api-reference/tools/list-tools"},{"title":"Create a tool","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /api/v2/tools","href":"/api-reference/tools/create-a-tool"},{"title":"List tool types","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v2/tools/types","href":"/api-reference/tools/list-tool-types"},{"title":"Toggle tools for an agent","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /api/v2/tools/toggle","href":"/api-reference/tools/toggle-tools-for-an-agent"},{"title":"Get a tool","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v2/tools/{id}","href":"/api-reference/tools/get-a-tool"},{"title":"Update a tool","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml patch /api/v2/tools/{id}","href":"/api-reference/tools/update-a-tool"},{"title":"Delete an API tool","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml delete /api/v2/tools/{id}","href":"/api-reference/tools/delete-an-api-tool"},{"title":"Execute a tool","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /api/v2/tools/{id}/execute","href":"/api-reference/tools/execute-a-tool"}]},{"group":"Outbound Calls","pages":[{"title":"Outbound calls","href":"/en/api-reference/outbound-calls"},{"title":"Place a call","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /api/v1/outbound/calls","href":"/api-reference/outbound-calls/place-a-call"},{"title":"Place calls in bulk","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /api/v1/outbound/calls/bulk","href":"/api-reference/outbound-calls/place-calls-in-bulk"},{"title":"List batches","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/outbound/batches","href":"/api-reference/outbound-calls/list-batches"},{"title":"Get a batch","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/outbound/batches/{id}","href":"/api-reference/outbound-calls/get-a-batch"},{"title":"Cancel a call","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /api/v1/outbound/consents/{id}/cancel","href":"/api-reference/outbound-calls/cancel-a-call"}]},{"group":"Conversations","pages":[{"title":"List conversations","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/conversations","href":"/api-reference/conversations/list-conversations"},{"title":"Get a conversation","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/conversations/{id}","href":"/api-reference/conversations/get-a-conversation"}]},{"group":"Evals","pages":[{"title":"List eval scenarios","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/evals","href":"/api-reference/evals/list-eval-scenarios"},{"title":"Create an eval scenario","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /api/v1/evals","href":"/api-reference/evals/create-an-eval-scenario"},{"title":"Get an eval scenario","description":"Scenario detail with its cases and a page of recent runs.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/evals/{id}","href":"/api-reference/evals/get-an-eval-scenario"},{"title":"Update an eval scenario","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml patch /api/v1/evals/{id}","href":"/api-reference/evals/update-an-eval-scenario"},{"title":"Replace an eval scenario","description":"Identical to `PATCH /api/v1/evals/{id}`: a full replacement of the scenario.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml put /api/v1/evals/{id}","href":"/api-reference/evals/replace-an-eval-scenario"},{"title":"Duplicate an eval scenario","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /api/v1/evals/{id}/duplicate","href":"/api-reference/evals/duplicate-an-eval-scenario"},{"title":"Start an eval run","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /api/v1/evals/{eval_id}/runs","href":"/api-reference/evals/start-an-eval-run"},{"title":"Get an eval run","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/evals/{eval_id}/runs/{id}","href":"/api-reference/evals/get-an-eval-run"},{"title":"Cancel an eval run","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /api/v1/evals/{eval_id}/runs/{id}/cancel","href":"/api-reference/evals/cancel-an-eval-run"}]}]},{"tab":"MCP","icon":"https://mintlify.s3.us-west-1.amazonaws.com/pscgmbh/logo/mcp.svg","pages":[{"title":"MCP","href":"/de/mcp/overview"}]}]},{"language":"en","tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/en"}]},{"tab":"API Reference","icon":"code","groups":[{"group":"Get started","pages":[{"title":"Introduction","href":"/en/api-reference/introduction"},{"title":"Authorization","href":"/en/api-reference/authorization"},{"title":"Rate limits","href":"/en/api-reference/rate-limits"},{"title":"Errors","href":"/en/api-reference/errors"}]},{"group":"Voice Agents","pages":[{"title":"List voice agents","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/voice_agents","href":"/api-reference/voice-agents/list-voice-agents"},{"title":"Create a voice agent","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /api/v1/voice_agents","href":"/api-reference/voice-agents/create-a-voice-agent"},{"title":"Get a voice agent","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/voice_agents/{id}","href":"/api-reference/voice-agents/get-a-voice-agent"},{"title":"Update a voice agent","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml patch /api/v1/voice_agents/{id}","href":"/api-reference/voice-agents/update-a-voice-agent"},{"title":"Delete a voice agent","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml delete /api/v1/voice_agents/{id}","href":"/api-reference/voice-agents/delete-a-voice-agent"}]},{"group":"Voice Agent Settings","pages":[{"title":"Set up a voice agent","href":"/en/api-reference/voice-agent-settings"},{"title":"Get voice settings","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/voice_agents/{id}/concerns/voice_config","href":"/api-reference/voice-agent-settings/get-voice-settings"},{"title":"Update voice settings","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml patch /api/v1/voice_agents/{id}/concerns/voice_config","href":"/api-reference/voice-agent-settings/update-voice-settings"},{"title":"Get voice settings schema","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/voice_agents/{id}/concerns/voice_config/schema","href":"/api-reference/voice-agent-settings/get-voice-settings-schema"},{"title":"Get prompt settings","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/voice_agents/{id}/concerns/prompts","href":"/api-reference/voice-agent-settings/get-prompt-settings"},{"title":"Update prompt settings","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml patch /api/v1/voice_agents/{id}/concerns/prompts","href":"/api-reference/voice-agent-settings/update-prompt-settings"},{"title":"Get prompt settings schema","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/voice_agents/{id}/concerns/prompts/schema","href":"/api-reference/voice-agent-settings/get-prompt-settings-schema"},{"title":"Get knowledge base settings","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/voice_agents/{id}/concerns/knowledge_base","href":"/api-reference/voice-agent-settings/get-knowledge-base-settings"},{"title":"Update knowledge base settings","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml patch /api/v1/voice_agents/{id}/concerns/knowledge_base","href":"/api-reference/voice-agent-settings/update-knowledge-base-settings"},{"title":"Get knowledge base schema","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/voice_agents/{id}/concerns/knowledge_base/schema","href":"/api-reference/voice-agent-settings/get-knowledge-base-schema"}]},{"group":"Tools","pages":[{"title":"List tools","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v2/tools","href":"/api-reference/tools/list-tools"},{"title":"Create a tool","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /api/v2/tools","href":"/api-reference/tools/create-a-tool"},{"title":"List tool types","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v2/tools/types","href":"/api-reference/tools/list-tool-types"},{"title":"Toggle tools for an agent","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /api/v2/tools/toggle","href":"/api-reference/tools/toggle-tools-for-an-agent"},{"title":"Get a tool","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v2/tools/{id}","href":"/api-reference/tools/get-a-tool"},{"title":"Update a tool","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml patch /api/v2/tools/{id}","href":"/api-reference/tools/update-a-tool"},{"title":"Delete an API tool","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml delete /api/v2/tools/{id}","href":"/api-reference/tools/delete-an-api-tool"},{"title":"Execute a tool","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /api/v2/tools/{id}/execute","href":"/api-reference/tools/execute-a-tool"}]},{"group":"Outbound Calls","pages":[{"title":"Outbound calls","href":"/en/api-reference/outbound-calls"},{"title":"Place a call","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /api/v1/outbound/calls","href":"/api-reference/outbound-calls/place-a-call"},{"title":"Place calls in bulk","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /api/v1/outbound/calls/bulk","href":"/api-reference/outbound-calls/place-calls-in-bulk"},{"title":"List batches","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/outbound/batches","href":"/api-reference/outbound-calls/list-batches"},{"title":"Get a batch","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/outbound/batches/{id}","href":"/api-reference/outbound-calls/get-a-batch"},{"title":"Cancel a call","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /api/v1/outbound/consents/{id}/cancel","href":"/api-reference/outbound-calls/cancel-a-call"}]},{"group":"Conversations","pages":[{"title":"List conversations","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/conversations","href":"/api-reference/conversations/list-conversations"},{"title":"Get a conversation","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/conversations/{id}","href":"/api-reference/conversations/get-a-conversation"}]},{"group":"Evals","pages":[{"title":"List eval scenarios","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/evals","href":"/api-reference/evals/list-eval-scenarios"},{"title":"Create an eval scenario","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /api/v1/evals","href":"/api-reference/evals/create-an-eval-scenario"},{"title":"Get an eval scenario","description":"Scenario detail with its cases and a page of recent runs.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/evals/{id}","href":"/api-reference/evals/get-an-eval-scenario"},{"title":"Update an eval scenario","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml patch /api/v1/evals/{id}","href":"/api-reference/evals/update-an-eval-scenario"},{"title":"Replace an eval scenario","description":"Identical to `PATCH /api/v1/evals/{id}`: a full replacement of the scenario.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml put /api/v1/evals/{id}","href":"/api-reference/evals/replace-an-eval-scenario"},{"title":"Duplicate an eval scenario","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /api/v1/evals/{id}/duplicate","href":"/api-reference/evals/duplicate-an-eval-scenario"},{"title":"Start an eval run","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /api/v1/evals/{eval_id}/runs","href":"/api-reference/evals/start-an-eval-run"},{"title":"Get an eval run","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /api/v1/evals/{eval_id}/runs/{id}","href":"/api-reference/evals/get-an-eval-run"},{"title":"Cancel an eval run","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /api/v1/evals/{eval_id}/runs/{id}/cancel","href":"/api-reference/evals/cancel-an-eval-run"}]}]},{"tab":"MCP","icon":"https://mintlify.s3.us-west-1.amazonaws.com/pscgmbh/logo/mcp.svg","pages":[{"title":"MCP","href":"/en/mcp/overview"}]}]}]},"basePath":"","title":"Update an eval scenario - Placetel AI Help Center","buildId":"dpl_CEsowfH15TDzsBT2BFbX312Be4Ct","deploymentId":"dpl_CEsowfH15TDzsBT2BFbX312Be4Ct","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CqF8gK93.js","utils-Cfy66YIG.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-cadwlSiW.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-BOSHrB55.js","snippetPresets-DuIJ6Tui.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-BByZ-4eP.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-DWD4BnjW.js","shallow-Bo7p10ck.js","getApiPlaygroundDisplay-C7mFZ2Cg.js","CodeSnippet-DrT8v8gt.js","CodeSnippets-DGLmtlSm.js","Page-CGry0O4L.js","getPastedJson-DXZGgv-T.js","icon-DMjuBky8.js","MethodPill-C_c9VvF7.js","DuplicateIcon-D8Zrb3hW.js","createIcon-eYWxX-Sl.js","DynamicMarkdown-DORtg_Te.js","SectionHeading-DE1W9Ett.js","axios-vUo_bRtp.js","Markdown-BvSqw8zR.js","clsx-B-KWekQe.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CTE3eEYy.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-Ba-QebqG.js"]}